Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network210.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
210.0.0.0
Broadcast address
210.255.255.255
First usable
210.0.0.1
Last usable
210.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
C (default /24)
As numbers
Hex D2000000 · Integer 3523215360 to 3539992575
Reverse DNS zone
210.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11010010..00000000.00000000.00000000210.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11010010..00000000.00000000.00000000210.0.0.0
Broadcast11010010..11111111.11111111.11111111210.255.255.255
Split into smaller subnets/16

210.0.0.0/8 makes 256 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1210.0.0.0/16210.0.0.1 to 210.0.255.254210.0.255.25565,534
2210.1.0.0/16210.1.0.1 to 210.1.255.254210.1.255.25565,534
3210.2.0.0/16210.2.0.1 to 210.2.255.254210.2.255.25565,534
4210.3.0.0/16210.3.0.1 to 210.3.255.254210.3.255.25565,534
5210.4.0.0/16210.4.0.1 to 210.4.255.254210.4.255.25565,534
6210.5.0.0/16210.5.0.1 to 210.5.255.254210.5.255.25565,534
7210.6.0.0/16210.6.0.1 to 210.6.255.254210.6.255.25565,534
8210.7.0.0/16210.7.0.1 to 210.7.255.254210.7.255.25565,534
9210.8.0.0/16210.8.0.1 to 210.8.255.254210.8.255.25565,534
10210.9.0.0/16210.9.0.1 to 210.9.255.254210.9.255.25565,534
11210.10.0.0/16210.10.0.1 to 210.10.255.254210.10.255.25565,534
12210.11.0.0/16210.11.0.1 to 210.11.255.254210.11.255.25565,534
13210.12.0.0/16210.12.0.1 to 210.12.255.254210.12.255.25565,534
14210.13.0.0/16210.13.0.1 to 210.13.255.254210.13.255.25565,534
15210.14.0.0/16210.14.0.1 to 210.14.255.254210.14.255.25565,534
16210.15.0.0/16210.15.0.1 to 210.15.255.254210.15.255.25565,534
17210.16.0.0/16210.16.0.1 to 210.16.255.254210.16.255.25565,534
18210.17.0.0/16210.17.0.1 to 210.17.255.254210.17.255.25565,534
19210.18.0.0/16210.18.0.1 to 210.18.255.254210.18.255.25565,534
20210.19.0.0/16210.19.0.1 to 210.19.255.254210.19.255.25565,534
21210.20.0.0/16210.20.0.1 to 210.20.255.254210.20.255.25565,534
22210.21.0.0/16210.21.0.1 to 210.21.255.254210.21.255.25565,534
23210.22.0.0/16210.22.0.1 to 210.22.255.254210.22.255.25565,534
24210.23.0.0/16210.23.0.1 to 210.23.255.254210.23.255.25565,534
25210.24.0.0/16210.24.0.1 to 210.24.255.254210.24.255.25565,534
26210.25.0.0/16210.25.0.1 to 210.25.255.254210.25.255.25565,534
27210.26.0.0/16210.26.0.1 to 210.26.255.254210.26.255.25565,534
28210.27.0.0/16210.27.0.1 to 210.27.255.254210.27.255.25565,534
29210.28.0.0/16210.28.0.1 to 210.28.255.254210.28.255.25565,534
30210.29.0.0/16210.29.0.1 to 210.29.255.254210.29.255.25565,534
31210.30.0.0/16210.30.0.1 to 210.30.255.254210.30.255.25565,534
32210.31.0.0/16210.31.0.1 to 210.31.255.254210.31.255.25565,534
33210.32.0.0/16210.32.0.1 to 210.32.255.254210.32.255.25565,534
34210.33.0.0/16210.33.0.1 to 210.33.255.254210.33.255.25565,534
35210.34.0.0/16210.34.0.1 to 210.34.255.254210.34.255.25565,534
36210.35.0.0/16210.35.0.1 to 210.35.255.254210.35.255.25565,534
37210.36.0.0/16210.36.0.1 to 210.36.255.254210.36.255.25565,534
38210.37.0.0/16210.37.0.1 to 210.37.255.254210.37.255.25565,534
39210.38.0.0/16210.38.0.1 to 210.38.255.254210.38.255.25565,534
40210.39.0.0/16210.39.0.1 to 210.39.255.254210.39.255.25565,534
41210.40.0.0/16210.40.0.1 to 210.40.255.254210.40.255.25565,534
42210.41.0.0/16210.41.0.1 to 210.41.255.254210.41.255.25565,534
43210.42.0.0/16210.42.0.1 to 210.42.255.254210.42.255.25565,534
44210.43.0.0/16210.43.0.1 to 210.43.255.254210.43.255.25565,534
45210.44.0.0/16210.44.0.1 to 210.44.255.254210.44.255.25565,534
46210.45.0.0/16210.45.0.1 to 210.45.255.254210.45.255.25565,534
47210.46.0.0/16210.46.0.1 to 210.46.255.254210.46.255.25565,534
48210.47.0.0/16210.47.0.1 to 210.47.255.254210.47.255.25565,534
49210.48.0.0/16210.48.0.1 to 210.48.255.254210.48.255.25565,534
50210.49.0.0/16210.49.0.1 to 210.49.255.254210.49.255.25565,534
51210.50.0.0/16210.50.0.1 to 210.50.255.254210.50.255.25565,534
52210.51.0.0/16210.51.0.1 to 210.51.255.254210.51.255.25565,534
53210.52.0.0/16210.52.0.1 to 210.52.255.254210.52.255.25565,534
54210.53.0.0/16210.53.0.1 to 210.53.255.254210.53.255.25565,534
55210.54.0.0/16210.54.0.1 to 210.54.255.254210.54.255.25565,534
56210.55.0.0/16210.55.0.1 to 210.55.255.254210.55.255.25565,534
57210.56.0.0/16210.56.0.1 to 210.56.255.254210.56.255.25565,534
58210.57.0.0/16210.57.0.1 to 210.57.255.254210.57.255.25565,534
59210.58.0.0/16210.58.0.1 to 210.58.255.254210.58.255.25565,534
60210.59.0.0/16210.59.0.1 to 210.59.255.254210.59.255.25565,534
61210.60.0.0/16210.60.0.1 to 210.60.255.254210.60.255.25565,534
62210.61.0.0/16210.61.0.1 to 210.61.255.254210.61.255.25565,534
63210.62.0.0/16210.62.0.1 to 210.62.255.254210.62.255.25565,534
64210.63.0.0/16210.63.0.1 to 210.63.255.254210.63.255.25565,534
65210.64.0.0/16210.64.0.1 to 210.64.255.254210.64.255.25565,534
66210.65.0.0/16210.65.0.1 to 210.65.255.254210.65.255.25565,534
67210.66.0.0/16210.66.0.1 to 210.66.255.254210.66.255.25565,534
68210.67.0.0/16210.67.0.1 to 210.67.255.254210.67.255.25565,534
69210.68.0.0/16210.68.0.1 to 210.68.255.254210.68.255.25565,534
70210.69.0.0/16210.69.0.1 to 210.69.255.254210.69.255.25565,534
71210.70.0.0/16210.70.0.1 to 210.70.255.254210.70.255.25565,534
72210.71.0.0/16210.71.0.1 to 210.71.255.254210.71.255.25565,534
73210.72.0.0/16210.72.0.1 to 210.72.255.254210.72.255.25565,534
74210.73.0.0/16210.73.0.1 to 210.73.255.254210.73.255.25565,534
75210.74.0.0/16210.74.0.1 to 210.74.255.254210.74.255.25565,534
76210.75.0.0/16210.75.0.1 to 210.75.255.254210.75.255.25565,534
77210.76.0.0/16210.76.0.1 to 210.76.255.254210.76.255.25565,534
78210.77.0.0/16210.77.0.1 to 210.77.255.254210.77.255.25565,534
79210.78.0.0/16210.78.0.1 to 210.78.255.254210.78.255.25565,534
80210.79.0.0/16210.79.0.1 to 210.79.255.254210.79.255.25565,534
81210.80.0.0/16210.80.0.1 to 210.80.255.254210.80.255.25565,534
82210.81.0.0/16210.81.0.1 to 210.81.255.254210.81.255.25565,534
83210.82.0.0/16210.82.0.1 to 210.82.255.254210.82.255.25565,534
84210.83.0.0/16210.83.0.1 to 210.83.255.254210.83.255.25565,534
85210.84.0.0/16210.84.0.1 to 210.84.255.254210.84.255.25565,534
86210.85.0.0/16210.85.0.1 to 210.85.255.254210.85.255.25565,534
87210.86.0.0/16210.86.0.1 to 210.86.255.254210.86.255.25565,534
88210.87.0.0/16210.87.0.1 to 210.87.255.254210.87.255.25565,534
89210.88.0.0/16210.88.0.1 to 210.88.255.254210.88.255.25565,534
90210.89.0.0/16210.89.0.1 to 210.89.255.254210.89.255.25565,534
91210.90.0.0/16210.90.0.1 to 210.90.255.254210.90.255.25565,534
92210.91.0.0/16210.91.0.1 to 210.91.255.254210.91.255.25565,534
93210.92.0.0/16210.92.0.1 to 210.92.255.254210.92.255.25565,534
94210.93.0.0/16210.93.0.1 to 210.93.255.254210.93.255.25565,534
95210.94.0.0/16210.94.0.1 to 210.94.255.254210.94.255.25565,534
96210.95.0.0/16210.95.0.1 to 210.95.255.254210.95.255.25565,534
97210.96.0.0/16210.96.0.1 to 210.96.255.254210.96.255.25565,534
98210.97.0.0/16210.97.0.1 to 210.97.255.254210.97.255.25565,534
99210.98.0.0/16210.98.0.1 to 210.98.255.254210.98.255.25565,534
100210.99.0.0/16210.99.0.1 to 210.99.255.254210.99.255.25565,534
101210.100.0.0/16210.100.0.1 to 210.100.255.254210.100.255.25565,534
102210.101.0.0/16210.101.0.1 to 210.101.255.254210.101.255.25565,534
103210.102.0.0/16210.102.0.1 to 210.102.255.254210.102.255.25565,534
104210.103.0.0/16210.103.0.1 to 210.103.255.254210.103.255.25565,534
105210.104.0.0/16210.104.0.1 to 210.104.255.254210.104.255.25565,534
106210.105.0.0/16210.105.0.1 to 210.105.255.254210.105.255.25565,534
107210.106.0.0/16210.106.0.1 to 210.106.255.254210.106.255.25565,534
108210.107.0.0/16210.107.0.1 to 210.107.255.254210.107.255.25565,534
109210.108.0.0/16210.108.0.1 to 210.108.255.254210.108.255.25565,534
110210.109.0.0/16210.109.0.1 to 210.109.255.254210.109.255.25565,534
111210.110.0.0/16210.110.0.1 to 210.110.255.254210.110.255.25565,534
112210.111.0.0/16210.111.0.1 to 210.111.255.254210.111.255.25565,534
113210.112.0.0/16210.112.0.1 to 210.112.255.254210.112.255.25565,534
114210.113.0.0/16210.113.0.1 to 210.113.255.254210.113.255.25565,534
115210.114.0.0/16210.114.0.1 to 210.114.255.254210.114.255.25565,534
116210.115.0.0/16210.115.0.1 to 210.115.255.254210.115.255.25565,534
117210.116.0.0/16210.116.0.1 to 210.116.255.254210.116.255.25565,534
118210.117.0.0/16210.117.0.1 to 210.117.255.254210.117.255.25565,534
119210.118.0.0/16210.118.0.1 to 210.118.255.254210.118.255.25565,534
120210.119.0.0/16210.119.0.1 to 210.119.255.254210.119.255.25565,534
121210.120.0.0/16210.120.0.1 to 210.120.255.254210.120.255.25565,534
122210.121.0.0/16210.121.0.1 to 210.121.255.254210.121.255.25565,534
123210.122.0.0/16210.122.0.1 to 210.122.255.254210.122.255.25565,534
124210.123.0.0/16210.123.0.1 to 210.123.255.254210.123.255.25565,534
125210.124.0.0/16210.124.0.1 to 210.124.255.254210.124.255.25565,534
126210.125.0.0/16210.125.0.1 to 210.125.255.254210.125.255.25565,534
127210.126.0.0/16210.126.0.1 to 210.126.255.254210.126.255.25565,534
128210.127.0.0/16210.127.0.1 to 210.127.255.254210.127.255.25565,534
129210.128.0.0/16210.128.0.1 to 210.128.255.254210.128.255.25565,534
130210.129.0.0/16210.129.0.1 to 210.129.255.254210.129.255.25565,534
131210.130.0.0/16210.130.0.1 to 210.130.255.254210.130.255.25565,534
132210.131.0.0/16210.131.0.1 to 210.131.255.254210.131.255.25565,534
133210.132.0.0/16210.132.0.1 to 210.132.255.254210.132.255.25565,534
134210.133.0.0/16210.133.0.1 to 210.133.255.254210.133.255.25565,534
135210.134.0.0/16210.134.0.1 to 210.134.255.254210.134.255.25565,534
136210.135.0.0/16210.135.0.1 to 210.135.255.254210.135.255.25565,534
137210.136.0.0/16210.136.0.1 to 210.136.255.254210.136.255.25565,534
138210.137.0.0/16210.137.0.1 to 210.137.255.254210.137.255.25565,534
139210.138.0.0/16210.138.0.1 to 210.138.255.254210.138.255.25565,534
140210.139.0.0/16210.139.0.1 to 210.139.255.254210.139.255.25565,534
141210.140.0.0/16210.140.0.1 to 210.140.255.254210.140.255.25565,534
142210.141.0.0/16210.141.0.1 to 210.141.255.254210.141.255.25565,534
143210.142.0.0/16210.142.0.1 to 210.142.255.254210.142.255.25565,534
144210.143.0.0/16210.143.0.1 to 210.143.255.254210.143.255.25565,534
145210.144.0.0/16210.144.0.1 to 210.144.255.254210.144.255.25565,534
146210.145.0.0/16210.145.0.1 to 210.145.255.254210.145.255.25565,534
147210.146.0.0/16210.146.0.1 to 210.146.255.254210.146.255.25565,534
148210.147.0.0/16210.147.0.1 to 210.147.255.254210.147.255.25565,534
149210.148.0.0/16210.148.0.1 to 210.148.255.254210.148.255.25565,534
150210.149.0.0/16210.149.0.1 to 210.149.255.254210.149.255.25565,534
151210.150.0.0/16210.150.0.1 to 210.150.255.254210.150.255.25565,534
152210.151.0.0/16210.151.0.1 to 210.151.255.254210.151.255.25565,534
153210.152.0.0/16210.152.0.1 to 210.152.255.254210.152.255.25565,534
154210.153.0.0/16210.153.0.1 to 210.153.255.254210.153.255.25565,534
155210.154.0.0/16210.154.0.1 to 210.154.255.254210.154.255.25565,534
156210.155.0.0/16210.155.0.1 to 210.155.255.254210.155.255.25565,534
157210.156.0.0/16210.156.0.1 to 210.156.255.254210.156.255.25565,534
158210.157.0.0/16210.157.0.1 to 210.157.255.254210.157.255.25565,534
159210.158.0.0/16210.158.0.1 to 210.158.255.254210.158.255.25565,534
160210.159.0.0/16210.159.0.1 to 210.159.255.254210.159.255.25565,534
161210.160.0.0/16210.160.0.1 to 210.160.255.254210.160.255.25565,534
162210.161.0.0/16210.161.0.1 to 210.161.255.254210.161.255.25565,534
163210.162.0.0/16210.162.0.1 to 210.162.255.254210.162.255.25565,534
164210.163.0.0/16210.163.0.1 to 210.163.255.254210.163.255.25565,534
165210.164.0.0/16210.164.0.1 to 210.164.255.254210.164.255.25565,534
166210.165.0.0/16210.165.0.1 to 210.165.255.254210.165.255.25565,534
167210.166.0.0/16210.166.0.1 to 210.166.255.254210.166.255.25565,534
168210.167.0.0/16210.167.0.1 to 210.167.255.254210.167.255.25565,534
169210.168.0.0/16210.168.0.1 to 210.168.255.254210.168.255.25565,534
170210.169.0.0/16210.169.0.1 to 210.169.255.254210.169.255.25565,534
171210.170.0.0/16210.170.0.1 to 210.170.255.254210.170.255.25565,534
172210.171.0.0/16210.171.0.1 to 210.171.255.254210.171.255.25565,534
173210.172.0.0/16210.172.0.1 to 210.172.255.254210.172.255.25565,534
174210.173.0.0/16210.173.0.1 to 210.173.255.254210.173.255.25565,534
175210.174.0.0/16210.174.0.1 to 210.174.255.254210.174.255.25565,534
176210.175.0.0/16210.175.0.1 to 210.175.255.254210.175.255.25565,534
177210.176.0.0/16210.176.0.1 to 210.176.255.254210.176.255.25565,534
178210.177.0.0/16210.177.0.1 to 210.177.255.254210.177.255.25565,534
179210.178.0.0/16210.178.0.1 to 210.178.255.254210.178.255.25565,534
180210.179.0.0/16210.179.0.1 to 210.179.255.254210.179.255.25565,534
181210.180.0.0/16210.180.0.1 to 210.180.255.254210.180.255.25565,534
182210.181.0.0/16210.181.0.1 to 210.181.255.254210.181.255.25565,534
183210.182.0.0/16210.182.0.1 to 210.182.255.254210.182.255.25565,534
184210.183.0.0/16210.183.0.1 to 210.183.255.254210.183.255.25565,534
185210.184.0.0/16210.184.0.1 to 210.184.255.254210.184.255.25565,534
186210.185.0.0/16210.185.0.1 to 210.185.255.254210.185.255.25565,534
187210.186.0.0/16210.186.0.1 to 210.186.255.254210.186.255.25565,534
188210.187.0.0/16210.187.0.1 to 210.187.255.254210.187.255.25565,534
189210.188.0.0/16210.188.0.1 to 210.188.255.254210.188.255.25565,534
190210.189.0.0/16210.189.0.1 to 210.189.255.254210.189.255.25565,534
191210.190.0.0/16210.190.0.1 to 210.190.255.254210.190.255.25565,534
192210.191.0.0/16210.191.0.1 to 210.191.255.254210.191.255.25565,534
193210.192.0.0/16210.192.0.1 to 210.192.255.254210.192.255.25565,534
194210.193.0.0/16210.193.0.1 to 210.193.255.254210.193.255.25565,534
195210.194.0.0/16210.194.0.1 to 210.194.255.254210.194.255.25565,534
196210.195.0.0/16210.195.0.1 to 210.195.255.254210.195.255.25565,534
197210.196.0.0/16210.196.0.1 to 210.196.255.254210.196.255.25565,534
198210.197.0.0/16210.197.0.1 to 210.197.255.254210.197.255.25565,534
199210.198.0.0/16210.198.0.1 to 210.198.255.254210.198.255.25565,534
200210.199.0.0/16210.199.0.1 to 210.199.255.254210.199.255.25565,534
201210.200.0.0/16210.200.0.1 to 210.200.255.254210.200.255.25565,534
202210.201.0.0/16210.201.0.1 to 210.201.255.254210.201.255.25565,534
203210.202.0.0/16210.202.0.1 to 210.202.255.254210.202.255.25565,534
204210.203.0.0/16210.203.0.1 to 210.203.255.254210.203.255.25565,534
205210.204.0.0/16210.204.0.1 to 210.204.255.254210.204.255.25565,534
206210.205.0.0/16210.205.0.1 to 210.205.255.254210.205.255.25565,534
207210.206.0.0/16210.206.0.1 to 210.206.255.254210.206.255.25565,534
208210.207.0.0/16210.207.0.1 to 210.207.255.254210.207.255.25565,534
209210.208.0.0/16210.208.0.1 to 210.208.255.254210.208.255.25565,534
210210.209.0.0/16210.209.0.1 to 210.209.255.254210.209.255.25565,534
211210.210.0.0/16210.210.0.1 to 210.210.255.254210.210.255.25565,534
212210.211.0.0/16210.211.0.1 to 210.211.255.254210.211.255.25565,534
213210.212.0.0/16210.212.0.1 to 210.212.255.254210.212.255.25565,534
214210.213.0.0/16210.213.0.1 to 210.213.255.254210.213.255.25565,534
215210.214.0.0/16210.214.0.1 to 210.214.255.254210.214.255.25565,534
216210.215.0.0/16210.215.0.1 to 210.215.255.254210.215.255.25565,534
217210.216.0.0/16210.216.0.1 to 210.216.255.254210.216.255.25565,534
218210.217.0.0/16210.217.0.1 to 210.217.255.254210.217.255.25565,534
219210.218.0.0/16210.218.0.1 to 210.218.255.254210.218.255.25565,534
220210.219.0.0/16210.219.0.1 to 210.219.255.254210.219.255.25565,534
221210.220.0.0/16210.220.0.1 to 210.220.255.254210.220.255.25565,534
222210.221.0.0/16210.221.0.1 to 210.221.255.254210.221.255.25565,534
223210.222.0.0/16210.222.0.1 to 210.222.255.254210.222.255.25565,534
224210.223.0.0/16210.223.0.1 to 210.223.255.254210.223.255.25565,534
225210.224.0.0/16210.224.0.1 to 210.224.255.254210.224.255.25565,534
226210.225.0.0/16210.225.0.1 to 210.225.255.254210.225.255.25565,534
227210.226.0.0/16210.226.0.1 to 210.226.255.254210.226.255.25565,534
228210.227.0.0/16210.227.0.1 to 210.227.255.254210.227.255.25565,534
229210.228.0.0/16210.228.0.1 to 210.228.255.254210.228.255.25565,534
230210.229.0.0/16210.229.0.1 to 210.229.255.254210.229.255.25565,534
231210.230.0.0/16210.230.0.1 to 210.230.255.254210.230.255.25565,534
232210.231.0.0/16210.231.0.1 to 210.231.255.254210.231.255.25565,534
233210.232.0.0/16210.232.0.1 to 210.232.255.254210.232.255.25565,534
234210.233.0.0/16210.233.0.1 to 210.233.255.254210.233.255.25565,534
235210.234.0.0/16210.234.0.1 to 210.234.255.254210.234.255.25565,534
236210.235.0.0/16210.235.0.1 to 210.235.255.254210.235.255.25565,534
237210.236.0.0/16210.236.0.1 to 210.236.255.254210.236.255.25565,534
238210.237.0.0/16210.237.0.1 to 210.237.255.254210.237.255.25565,534
239210.238.0.0/16210.238.0.1 to 210.238.255.254210.238.255.25565,534
240210.239.0.0/16210.239.0.1 to 210.239.255.254210.239.255.25565,534
241210.240.0.0/16210.240.0.1 to 210.240.255.254210.240.255.25565,534
242210.241.0.0/16210.241.0.1 to 210.241.255.254210.241.255.25565,534
243210.242.0.0/16210.242.0.1 to 210.242.255.254210.242.255.25565,534
244210.243.0.0/16210.243.0.1 to 210.243.255.254210.243.255.25565,534
245210.244.0.0/16210.244.0.1 to 210.244.255.254210.244.255.25565,534
246210.245.0.0/16210.245.0.1 to 210.245.255.254210.245.255.25565,534
247210.246.0.0/16210.246.0.1 to 210.246.255.254210.246.255.25565,534
248210.247.0.0/16210.247.0.1 to 210.247.255.254210.247.255.25565,534
249210.248.0.0/16210.248.0.1 to 210.248.255.254210.248.255.25565,534
250210.249.0.0/16210.249.0.1 to 210.249.255.254210.249.255.25565,534
251210.250.0.0/16210.250.0.1 to 210.250.255.254210.250.255.25565,534
252210.251.0.0/16210.251.0.1 to 210.251.255.254210.251.255.25565,534
253210.252.0.0/16210.252.0.1 to 210.252.255.254210.252.255.25565,534
254210.253.0.0/16210.253.0.1 to 210.253.255.254210.253.255.25565,534
255210.254.0.0/16210.254.0.1 to 210.254.255.254210.254.255.25565,534
256210.255.0.0/16210.255.0.1 to 210.255.255.254210.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses